"""
    Production API

    API exposing endpoints for managing well  and daily production.  # noqa: E501

    The version of the OpenAPI document: 1.0
    Generated by: https://openapi-generator.tech
"""


import re  # noqa: F401
import sys  # noqa: F401

import nulltype  # noqa: F401

from openapi_client.model_utils import (  # noqa: F401
    ApiTypeError,
    ModelComposed,
    ModelNormal,
    ModelSimple,
    cached_property,
    change_keys_js_to_python,
    convert_js_args_to_python_args,
    date,
    datetime,
    file_type,
    none_type,
    validate_get_composed_info,
)


class WellInput(ModelNormal):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.

    Attributes:
      allowed_values (dict): The key is the tuple path to the attribute
          and the for var_name this is (var_name,). The value is a dict
          with a capitalized key describing the allowed value and an allowed
          value. These dicts store the allowed enum values.
      attribute_map (dict): The key is attribute name
          and the value is json key in definition.
      discriminator_value_class_map (dict): A dict to go from the discriminator
          variable value to the discriminator class name.
      validations (dict): The key is the tuple path to the attribute
          and the for var_name this is (var_name,). The value is a dict
          that stores validations for max_length, min_length, max_items,
          min_items, exclusive_maximum, inclusive_maximum, exclusive_minimum,
          inclusive_minimum, and regex.
      additional_properties_type (tuple): A tuple of classes accepted
          as additional properties values.
    """

    allowed_values = {
        ('type',): {
            'PRODUCER': "PRODUCER",
            'INJECTOR': "INJECTOR",
        },
        ('fluid',): {
            'OIL': "OIL",
            'GAS': "GAS",
            'WATER': "WATER",
        },
        ('lift_type',): {
            'NATURAL_FLOW': "NATURAL_FLOW",
            'GAS_LIFT': "GAS_LIFT",
            'ROD_PUMP': "ROD_PUMP",
            'ESP': "ESP",
            'PLUNGER_LIFT': "PLUNGER_LIFT",
            'GAS_ASSISTED_PLUNGER_LIFT': "GAS_ASSISTED_PLUNGER_LIFT",
        },
        ('timezone',): {
            'None': None,
            'DEFAULT': "DEFAULT",
            'ACT': "ACT",
            'AET': "AET",
            'AFRICA_ABIDJAN': "AFRICA_ABIDJAN",
            'AFRICA_ACCRA': "AFRICA_ACCRA",
            'AFRICA_ADDIS_ABABA': "AFRICA_ADDIS_ABABA",
            'AFRICA_ALGIERS': "AFRICA_ALGIERS",
            'AFRICA_ASMERA': "AFRICA_ASMERA",
            'AFRICA_BAMAKO': "AFRICA_BAMAKO",
            'AFRICA_BANGUI': "AFRICA_BANGUI",
            'AFRICA_BANJUL': "AFRICA_BANJUL",
            'AFRICA_BISSAU': "AFRICA_BISSAU",
            'AFRICA_BLANTYRE': "AFRICA_BLANTYRE",
            'AFRICA_BRAZZAVILLE': "AFRICA_BRAZZAVILLE",
            'AFRICA_BUJUMBURA': "AFRICA_BUJUMBURA",
            'AFRICA_CAIRO': "AFRICA_CAIRO",
            'AFRICA_CASABLANCA': "AFRICA_CASABLANCA",
            'AFRICA_CEUTA': "AFRICA_CEUTA",
            'AFRICA_CONAKRY': "AFRICA_CONAKRY",
            'AFRICA_DAKAR': "AFRICA_DAKAR",
            'AFRICA_DAR_ES_SALAAM': "AFRICA_DAR_ES_SALAAM",
            'AFRICA_DJIBOUTI': "AFRICA_DJIBOUTI",
            'AFRICA_DOUALA': "AFRICA_DOUALA",
            'AFRICA_EL_AAIUN': "AFRICA_EL_AAIUN",
            'AFRICA_FREETOWN': "AFRICA_FREETOWN",
            'AFRICA_GABORONE': "AFRICA_GABORONE",
            'AFRICA_HARARE': "AFRICA_HARARE",
            'AFRICA_JOHANNESBURG': "AFRICA_JOHANNESBURG",
            'AFRICA_KAMPALA': "AFRICA_KAMPALA",
            'AFRICA_KHARTOUM': "AFRICA_KHARTOUM",
            'AFRICA_KIGALI': "AFRICA_KIGALI",
            'AFRICA_KINSHASA': "AFRICA_KINSHASA",
            'AFRICA_LAGOS': "AFRICA_LAGOS",
            'AFRICA_LIBREVILLE': "AFRICA_LIBREVILLE",
            'AFRICA_LOME': "AFRICA_LOME",
            'AFRICA_LUANDA': "AFRICA_LUANDA",
            'AFRICA_LUBUMBASHI': "AFRICA_LUBUMBASHI",
            'AFRICA_LUSAKA': "AFRICA_LUSAKA",
            'AFRICA_MALABO': "AFRICA_MALABO",
            'AFRICA_MAPUTO': "AFRICA_MAPUTO",
            'AFRICA_MASERU': "AFRICA_MASERU",
            'AFRICA_MBABANE': "AFRICA_MBABANE",
            'AFRICA_MOGADISHU': "AFRICA_MOGADISHU",
            'AFRICA_MONROVIA': "AFRICA_MONROVIA",
            'AFRICA_NAIROBI': "AFRICA_NAIROBI",
            'AFRICA_NDJAMENA': "AFRICA_NDJAMENA",
            'AFRICA_NIAMEY': "AFRICA_NIAMEY",
            'AFRICA_NOUAKCHOTT': "AFRICA_NOUAKCHOTT",
            'AFRICA_OUAGADOUGOU': "AFRICA_OUAGADOUGOU",
            'AFRICA_PORTO_NOVO': "AFRICA_PORTO_NOVO",
            'AFRICA_SAO_TOME': "AFRICA_SAO_TOME",
            'AFRICA_TIMBUKTU': "AFRICA_TIMBUKTU",
            'AFRICA_TRIPOLI': "AFRICA_TRIPOLI",
            'AFRICA_TUNIS': "AFRICA_TUNIS",
            'AFRICA_WINDHOEK': "AFRICA_WINDHOEK",
            'AGT': "AGT",
            'AMERICA_ADAK': "AMERICA_ADAK",
            'AMERICA_ANCHORAGE': "AMERICA_ANCHORAGE",
            'AMERICA_ANGUILLA': "AMERICA_ANGUILLA",
            'AMERICA_ANTIGUA': "AMERICA_ANTIGUA",
            'AMERICA_ARAGUAINA': "AMERICA_ARAGUAINA",
            'AMERICA_ARUBA': "AMERICA_ARUBA",
            'AMERICA_ASUNCION': "AMERICA_ASUNCION",
            'AMERICA_ATKA': "AMERICA_ATKA",
            'AMERICA_BARBADOS': "AMERICA_BARBADOS",
            'AMERICA_BELEM': "AMERICA_BELEM",
            'AMERICA_BELIZE': "AMERICA_BELIZE",
            'AMERICA_BOA_VISTA': "AMERICA_BOA_VISTA",
            'AMERICA_BOGOTA': "AMERICA_BOGOTA",
            'AMERICA_BOISE': "AMERICA_BOISE",
            'AMERICA_BUENOS_AIRES': "AMERICA_BUENOS_AIRES",
            'AMERICA_CAMBRIDGE_BAY': "AMERICA_CAMBRIDGE_BAY",
            'AMERICA_CANCUN': "AMERICA_CANCUN",
            'AMERICA_CARACAS': "AMERICA_CARACAS",
            'AMERICA_CATAMARCA': "AMERICA_CATAMARCA",
            'AMERICA_CAYENNE': "AMERICA_CAYENNE",
            'AMERICA_CAYMAN': "AMERICA_CAYMAN",
            'AMERICA_CHICAGO': "AMERICA_CHICAGO",
            'AMERICA_CHIHUAHUA': "AMERICA_CHIHUAHUA",
            'AMERICA_CORDOBA': "AMERICA_CORDOBA",
            'AMERICA_COSTA_RICA': "AMERICA_COSTA_RICA",
            'AMERICA_CUIABA': "AMERICA_CUIABA",
            'AMERICA_CURACAO': "AMERICA_CURACAO",
            'AMERICA_DANMARKSHAVN': "AMERICA_DANMARKSHAVN",
            'AMERICA_DAWSON': "AMERICA_DAWSON",
            'AMERICA_DAWSON_CREEK': "AMERICA_DAWSON_CREEK",
            'AMERICA_DENVER': "AMERICA_DENVER",
            'AMERICA_DETROIT': "AMERICA_DETROIT",
            'AMERICA_DOMINICA': "AMERICA_DOMINICA",
            'AMERICA_EDMONTON': "AMERICA_EDMONTON",
            'AMERICA_EIRUNEPE': "AMERICA_EIRUNEPE",
            'AMERICA_EL_SALVADOR': "AMERICA_EL_SALVADOR",
            'AMERICA_ENSENADA': "AMERICA_ENSENADA",
            'AMERICA_FORT_WAYNE': "AMERICA_FORT_WAYNE",
            'AMERICA_FORTALEZA': "AMERICA_FORTALEZA",
            'AMERICA_GLACE_BAY': "AMERICA_GLACE_BAY",
            'AMERICA_GODTHAB': "AMERICA_GODTHAB",
            'AMERICA_GOOSE_BAY': "AMERICA_GOOSE_BAY",
            'AMERICA_GRAND_TURK': "AMERICA_GRAND_TURK",
            'AMERICA_GRENADA': "AMERICA_GRENADA",
            'AMERICA_GUADELOUPE': "AMERICA_GUADELOUPE",
            'AMERICA_GUATEMALA': "AMERICA_GUATEMALA",
            'AMERICA_GUAYAQUIL': "AMERICA_GUAYAQUIL",
            'AMERICA_GUYANA': "AMERICA_GUYANA",
            'AMERICA_HALIFAX': "AMERICA_HALIFAX",
            'AMERICA_HAVANA': "AMERICA_HAVANA",
            'AMERICA_HERMOSILLO': "AMERICA_HERMOSILLO",
            'AMERICA_INDIANA_INDIANAPOLIS': "AMERICA_INDIANA_INDIANAPOLIS",
            'AMERICA_INDIANA_KNOX': "AMERICA_INDIANA_KNOX",
            'AMERICA_INDIANA_MARENGO': "AMERICA_INDIANA_MARENGO",
            'AMERICA_INDIANA_VEVAY': "AMERICA_INDIANA_VEVAY",
            'AMERICA_INDIANAPOLIS': "AMERICA_INDIANAPOLIS",
            'AMERICA_INUVIK': "AMERICA_INUVIK",
            'AMERICA_IQALUIT': "AMERICA_IQALUIT",
            'AMERICA_JAMAICA': "AMERICA_JAMAICA",
            'AMERICA_JUJUY': "AMERICA_JUJUY",
            'AMERICA_JUNEAU': "AMERICA_JUNEAU",
            'AMERICA_KENTUCKY_LOUISVILLE': "AMERICA_KENTUCKY_LOUISVILLE",
            'AMERICA_KENTUCKY_MONTICELLO': "AMERICA_KENTUCKY_MONTICELLO",
            'AMERICA_KNOX_IN': "AMERICA_KNOX_IN",
            'AMERICA_LA_PAZ': "AMERICA_LA_PAZ",
            'AMERICA_LIMA': "AMERICA_LIMA",
            'AMERICA_LOS_ANGELES': "AMERICA_LOS_ANGELES",
            'AMERICA_LOUISVILLE': "AMERICA_LOUISVILLE",
            'AMERICA_MACEIO': "AMERICA_MACEIO",
            'AMERICA_MANAGUA': "AMERICA_MANAGUA",
            'AMERICA_MANAUS': "AMERICA_MANAUS",
            'AMERICA_MARTINIQUE': "AMERICA_MARTINIQUE",
            'AMERICA_MAZATLAN': "AMERICA_MAZATLAN",
            'AMERICA_MENDOZA': "AMERICA_MENDOZA",
            'AMERICA_MENOMINEE': "AMERICA_MENOMINEE",
            'AMERICA_MERIDA': "AMERICA_MERIDA",
            'AMERICA_MEXICO_CITY': "AMERICA_MEXICO_CITY",
            'AMERICA_MIQUELON': "AMERICA_MIQUELON",
            'AMERICA_MONTERREY': "AMERICA_MONTERREY",
            'AMERICA_MONTEVIDEO': "AMERICA_MONTEVIDEO",
            'AMERICA_MONTREAL': "AMERICA_MONTREAL",
            'AMERICA_MONTSERRAT': "AMERICA_MONTSERRAT",
            'AMERICA_NASSAU': "AMERICA_NASSAU",
            'AMERICA_NEW_YORK': "AMERICA_NEW_YORK",
            'AMERICA_NIPIGON': "AMERICA_NIPIGON",
            'AMERICA_NOME': "AMERICA_NOME",
            'AMERICA_NORONHA': "AMERICA_NORONHA",
            'AMERICA_NORTH_DAKOTA_CENTER': "AMERICA_NORTH_DAKOTA_CENTER",
            'AMERICA_PANAMA': "AMERICA_PANAMA",
            'AMERICA_PANGNIRTUNG': "AMERICA_PANGNIRTUNG",
            'AMERICA_PARAMARIBO': "AMERICA_PARAMARIBO",
            'AMERICA_PHOENIX': "AMERICA_PHOENIX",
            'AMERICA_PORT_AU_PRINCE': "AMERICA_PORT_AU_PRINCE",
            'AMERICA_PORT_OF_SPAIN': "AMERICA_PORT_OF_SPAIN",
            'AMERICA_PORTO_ACRE': "AMERICA_PORTO_ACRE",
            'AMERICA_PORTO_VELHO': "AMERICA_PORTO_VELHO",
            'AMERICA_PUERTO_RICO': "AMERICA_PUERTO_RICO",
            'AMERICA_RAINY_RIVER': "AMERICA_RAINY_RIVER",
            'AMERICA_RANKIN_INLET': "AMERICA_RANKIN_INLET",
            'AMERICA_RECIFE': "AMERICA_RECIFE",
            'AMERICA_REGINA': "AMERICA_REGINA",
            'AMERICA_RIO_BRANCO': "AMERICA_RIO_BRANCO",
            'AMERICA_ROSARIO': "AMERICA_ROSARIO",
            'AMERICA_SANTIAGO': "AMERICA_SANTIAGO",
            'AMERICA_SANTO_DOMINGO': "AMERICA_SANTO_DOMINGO",
            'AMERICA_SAO_PAULO': "AMERICA_SAO_PAULO",
            'AMERICA_SCORESBYSUND': "AMERICA_SCORESBYSUND",
            'AMERICA_SHIPROCK': "AMERICA_SHIPROCK",
            'AMERICA_ST_JOHNS': "AMERICA_ST_JOHNS",
            'AMERICA_ST_KITTS': "AMERICA_ST_KITTS",
            'AMERICA_ST_LUCIA': "AMERICA_ST_LUCIA",
            'AMERICA_ST_THOMAS': "AMERICA_ST_THOMAS",
            'AMERICA_ST_VINCENT': "AMERICA_ST_VINCENT",
            'AMERICA_SWIFT_CURRENT': "AMERICA_SWIFT_CURRENT",
            'AMERICA_TEGUCIGALPA': "AMERICA_TEGUCIGALPA",
            'AMERICA_THULE': "AMERICA_THULE",
            'AMERICA_THUNDER_BAY': "AMERICA_THUNDER_BAY",
            'AMERICA_TIJUANA': "AMERICA_TIJUANA",
            'AMERICA_TORTOLA': "AMERICA_TORTOLA",
            'AMERICA_VANCOUVER': "AMERICA_VANCOUVER",
            'AMERICA_VIRGIN': "AMERICA_VIRGIN",
            'AMERICA_WHITEHORSE': "AMERICA_WHITEHORSE",
            'AMERICA_WINNIPEG': "AMERICA_WINNIPEG",
            'AMERICA_YAKUTAT': "AMERICA_YAKUTAT",
            'AMERICA_YELLOWKNIFE': "AMERICA_YELLOWKNIFE",
            'ANTARCTICA_CASEY': "ANTARCTICA_CASEY",
            'ANTARCTICA_DAVIS': "ANTARCTICA_DAVIS",
            'ANTARCTICA_DUMONTDURVILLE': "ANTARCTICA_DUMONTDURVILLE",
            'ANTARCTICA_MAWSON': "ANTARCTICA_MAWSON",
            'ANTARCTICA_MCMURDO': "ANTARCTICA_MCMURDO",
            'ANTARCTICA_PALMER': "ANTARCTICA_PALMER",
            'ANTARCTICA_ROTHERA': "ANTARCTICA_ROTHERA",
            'ANTARCTICA_SOUTH_POLE': "ANTARCTICA_SOUTH_POLE",
            'ANTARCTICA_SYOWA': "ANTARCTICA_SYOWA",
            'ANTARCTICA_VOSTOK': "ANTARCTICA_VOSTOK",
            'ARCTIC_LONGYEARBYEN': "ARCTIC_LONGYEARBYEN",
            'ART': "ART",
            'ASIA_ADEN': "ASIA_ADEN",
            'ASIA_ALMATY': "ASIA_ALMATY",
            'ASIA_AMMAN': "ASIA_AMMAN",
            'ASIA_ANADYR': "ASIA_ANADYR",
            'ASIA_AQTAU': "ASIA_AQTAU",
            'ASIA_AQTOBE': "ASIA_AQTOBE",
            'ASIA_ASHGABAT': "ASIA_ASHGABAT",
            'ASIA_ASHKHABAD': "ASIA_ASHKHABAD",
            'ASIA_BAGHDAD': "ASIA_BAGHDAD",
            'ASIA_BAHRAIN': "ASIA_BAHRAIN",
            'ASIA_BAKU': "ASIA_BAKU",
            'ASIA_BANGKOK': "ASIA_BANGKOK",
            'ASIA_BEIRUT': "ASIA_BEIRUT",
            'ASIA_BISHKEK': "ASIA_BISHKEK",
            'ASIA_BRUNEI': "ASIA_BRUNEI",
            'ASIA_CALCUTTA': "ASIA_CALCUTTA",
            'ASIA_CHOIBALSAN': "ASIA_CHOIBALSAN",
            'ASIA_CHONGQING': "ASIA_CHONGQING",
            'ASIA_CHUNGKING': "ASIA_CHUNGKING",
            'ASIA_COLOMBO': "ASIA_COLOMBO",
            'ASIA_DACCA': "ASIA_DACCA",
            'ASIA_DAMASCUS': "ASIA_DAMASCUS",
            'ASIA_DHAKA': "ASIA_DHAKA",
            'ASIA_DILI': "ASIA_DILI",
            'ASIA_DUBAI': "ASIA_DUBAI",
            'ASIA_DUSHANBE': "ASIA_DUSHANBE",
            'ASIA_GAZA': "ASIA_GAZA",
            'ASIA_HARBIN': "ASIA_HARBIN",
            'ASIA_HONG_KONG': "ASIA_HONG_KONG",
            'ASIA_HOVD': "ASIA_HOVD",
            'ASIA_IRKUTSK': "ASIA_IRKUTSK",
            'ASIA_ISTANBUL': "ASIA_ISTANBUL",
            'ASIA_JAKARTA': "ASIA_JAKARTA",
            'ASIA_JAYAPURA': "ASIA_JAYAPURA",
            'ASIA_JERUSALEM': "ASIA_JERUSALEM",
            'ASIA_KABUL': "ASIA_KABUL",
            'ASIA_KAMCHATKA': "ASIA_KAMCHATKA",
            'ASIA_KARACHI': "ASIA_KARACHI",
            'ASIA_KASHGAR': "ASIA_KASHGAR",
            'ASIA_KATMANDU': "ASIA_KATMANDU",
            'ASIA_KRASNOYARSK': "ASIA_KRASNOYARSK",
            'ASIA_KUALA_LUMPUR': "ASIA_KUALA_LUMPUR",
            'ASIA_KUCHING': "ASIA_KUCHING",
            'ASIA_KUWAIT': "ASIA_KUWAIT",
            'ASIA_MACAO': "ASIA_MACAO",
            'ASIA_MACAU': "ASIA_MACAU",
            'ASIA_MAGADAN': "ASIA_MAGADAN",
            'ASIA_MAKASSAR': "ASIA_MAKASSAR",
            'ASIA_MANILA': "ASIA_MANILA",
            'ASIA_MUSCAT': "ASIA_MUSCAT",
            'ASIA_NICOSIA': "ASIA_NICOSIA",
            'ASIA_NOVOSIBIRSK': "ASIA_NOVOSIBIRSK",
            'ASIA_OMSK': "ASIA_OMSK",
            'ASIA_ORAL': "ASIA_ORAL",
            'ASIA_PHNOM_PENH': "ASIA_PHNOM_PENH",
            'ASIA_PONTIANAK': "ASIA_PONTIANAK",
            'ASIA_PYONGYANG': "ASIA_PYONGYANG",
            'ASIA_QATAR': "ASIA_QATAR",
            'ASIA_QYZYLORDA': "ASIA_QYZYLORDA",
            'ASIA_RANGOON': "ASIA_RANGOON",
            'ASIA_RIYADH': "ASIA_RIYADH",
            'ASIA_RIYADH87': "ASIA_RIYADH87",
            'ASIA_RIYADH88': "ASIA_RIYADH88",
            'ASIA_RIYADH89': "ASIA_RIYADH89",
            'ASIA_SAIGON': "ASIA_SAIGON",
            'ASIA_SAKHALIN': "ASIA_SAKHALIN",
            'ASIA_SAMARKAND': "ASIA_SAMARKAND",
            'ASIA_SEOUL': "ASIA_SEOUL",
            'ASIA_SHANGHAI': "ASIA_SHANGHAI",
            'ASIA_SINGAPORE': "ASIA_SINGAPORE",
            'ASIA_TAIPEI': "ASIA_TAIPEI",
            'ASIA_TASHKENT': "ASIA_TASHKENT",
            'ASIA_TBILISI': "ASIA_TBILISI",
            'ASIA_TEHRAN': "ASIA_TEHRAN",
            'ASIA_TEL_AVIV': "ASIA_TEL_AVIV",
            'ASIA_THIMBU': "ASIA_THIMBU",
            'ASIA_THIMPHU': "ASIA_THIMPHU",
            'ASIA_TOKYO': "ASIA_TOKYO",
            'ASIA_UJUNG_PANDANG': "ASIA_UJUNG_PANDANG",
            'ASIA_ULAANBAATAR': "ASIA_ULAANBAATAR",
            'ASIA_ULAN_BATOR': "ASIA_ULAN_BATOR",
            'ASIA_URUMQI': "ASIA_URUMQI",
            'ASIA_VIENTIANE': "ASIA_VIENTIANE",
            'ASIA_VLADIVOSTOK': "ASIA_VLADIVOSTOK",
            'ASIA_YAKUTSK': "ASIA_YAKUTSK",
            'ASIA_YEKATERINBURG': "ASIA_YEKATERINBURG",
            'ASIA_YEREVAN': "ASIA_YEREVAN",
            'AST': "AST",
            'ATLANTIC_AZORES': "ATLANTIC_AZORES",
            'ATLANTIC_BERMUDA': "ATLANTIC_BERMUDA",
            'ATLANTIC_CANARY': "ATLANTIC_CANARY",
            'ATLANTIC_CAPE_VERDE': "ATLANTIC_CAPE_VERDE",
            'ATLANTIC_FAEROE': "ATLANTIC_FAEROE",
            'ATLANTIC_JAN_MAYEN': "ATLANTIC_JAN_MAYEN",
            'ATLANTIC_MADEIRA': "ATLANTIC_MADEIRA",
            'ATLANTIC_REYKJAVIK': "ATLANTIC_REYKJAVIK",
            'ATLANTIC_SOUTH_GEORGIA': "ATLANTIC_SOUTH_GEORGIA",
            'ATLANTIC_ST_HELENA': "ATLANTIC_ST_HELENA",
            'ATLANTIC_STANLEY': "ATLANTIC_STANLEY",
            'AUSTRALIA_ACT': "AUSTRALIA_ACT",
            'AUSTRALIA_ADELAIDE': "AUSTRALIA_ADELAIDE",
            'AUSTRALIA_BRISBANE': "AUSTRALIA_BRISBANE",
            'AUSTRALIA_BROKEN_HILL': "AUSTRALIA_BROKEN_HILL",
            'AUSTRALIA_CANBERRA': "AUSTRALIA_CANBERRA",
            'AUSTRALIA_DARWIN': "AUSTRALIA_DARWIN",
            'AUSTRALIA_HOBART': "AUSTRALIA_HOBART",
            'AUSTRALIA_LHI': "AUSTRALIA_LHI",
            'AUSTRALIA_LINDEMAN': "AUSTRALIA_LINDEMAN",
            'AUSTRALIA_LORD_HOWE': "AUSTRALIA_LORD_HOWE",
            'AUSTRALIA_MELBOURNE': "AUSTRALIA_MELBOURNE",
            'AUSTRALIA_NORTH': "AUSTRALIA_NORTH",
            'AUSTRALIA_NSW': "AUSTRALIA_NSW",
            'AUSTRALIA_PERTH': "AUSTRALIA_PERTH",
            'AUSTRALIA_QUEENSLAND': "AUSTRALIA_QUEENSLAND",
            'AUSTRALIA_SOUTH': "AUSTRALIA_SOUTH",
            'AUSTRALIA_SYDNEY': "AUSTRALIA_SYDNEY",
            'AUSTRALIA_TASMANIA': "AUSTRALIA_TASMANIA",
            'AUSTRALIA_VICTORIA': "AUSTRALIA_VICTORIA",
            'AUSTRALIA_WEST': "AUSTRALIA_WEST",
            'AUSTRALIA_YANCOWINNA': "AUSTRALIA_YANCOWINNA",
            'BET': "BET",
            'BRAZIL_ACRE': "BRAZIL_ACRE",
            'BRAZIL_DENORONHA': "BRAZIL_DENORONHA",
            'BRAZIL_EAST': "BRAZIL_EAST",
            'BRAZIL_WEST': "BRAZIL_WEST",
            'BST': "BST",
            'CANADA_ATLANTIC': "CANADA_ATLANTIC",
            'CANADA_CENTRAL': "CANADA_CENTRAL",
            'CANADA_EAST_SASKATCHEWAN': "CANADA_EAST_SASKATCHEWAN",
            'CANADA_EASTERN': "CANADA_EASTERN",
            'CANADA_MOUNTAIN': "CANADA_MOUNTAIN",
            'CANADA_NEWFOUNDLAND': "CANADA_NEWFOUNDLAND",
            'CANADA_PACIFIC': "CANADA_PACIFIC",
            'CANADA_SASKATCHEWAN': "CANADA_SASKATCHEWAN",
            'CANADA_YUKON': "CANADA_YUKON",
            'CAT': "CAT",
            'CET': "CET",
            'CHILE_CONTINENTAL': "CHILE_CONTINENTAL",
            'CHILE_EASTERISLAND': "CHILE_EASTERISLAND",
            'CNT': "CNT",
            'CST': "CST",
            'CST6CDT': "CST6CDT",
            'CTT': "CTT",
            'CUBA': "CUBA",
            'EAT': "EAT",
            'ECT': "ECT",
            'EET': "EET",
            'EGYPT': "EGYPT",
            'EIRE': "EIRE",
            'EST': "EST",
            'EST5EDT': "EST5EDT",
            'ETC_GMT': "ETC_GMT",
            'ETC_GMT_PLUS_0': "ETC_GMT_PLUS_0",
            'ETC_GMT_PLUS_1': "ETC_GMT_PLUS_1",
            'ETC_GMT_PLUS_10': "ETC_GMT_PLUS_10",
            'ETC_GMT_PLUS_11': "ETC_GMT_PLUS_11",
            'ETC_GMT_PLUS_12': "ETC_GMT_PLUS_12",
            'ETC_GMT_PLUS_2': "ETC_GMT_PLUS_2",
            'ETC_GMT_PLUS_3': "ETC_GMT_PLUS_3",
            'ETC_GMT_PLUS_4': "ETC_GMT_PLUS_4",
            'ETC_GMT_PLUS_5': "ETC_GMT_PLUS_5",
            'ETC_GMT_PLUS_6': "ETC_GMT_PLUS_6",
            'ETC_GMT_PLUS_7': "ETC_GMT_PLUS_7",
            'ETC_GMT_PLUS_8': "ETC_GMT_PLUS_8",
            'ETC_GMT_PLUS_9': "ETC_GMT_PLUS_9",
            'ETC_GMT_MINUS_0': "ETC_GMT_MINUS_0",
            'ETC_GMT_MINUS_1': "ETC_GMT_MINUS_1",
            'ETC_GMT_MINUS_10': "ETC_GMT_MINUS_10",
            'ETC_GMT_MINUS_11': "ETC_GMT_MINUS_11",
            'ETC_GMT_MINUS_12': "ETC_GMT_MINUS_12",
            'ETC_GMT_MINUS_13': "ETC_GMT_MINUS_13",
            'ETC_GMT_MINUS_14': "ETC_GMT_MINUS_14",
            'ETC_GMT_MINUS_2': "ETC_GMT_MINUS_2",
            'ETC_GMT_MINUS_3': "ETC_GMT_MINUS_3",
            'ETC_GMT_MINUS_4': "ETC_GMT_MINUS_4",
            'ETC_GMT_MINUS_5': "ETC_GMT_MINUS_5",
            'ETC_GMT_MINUS_6': "ETC_GMT_MINUS_6",
            'ETC_GMT_MINUS_7': "ETC_GMT_MINUS_7",
            'ETC_GMT_MINUS_8': "ETC_GMT_MINUS_8",
            'ETC_GMT_MINUS_9': "ETC_GMT_MINUS_9",
            'ETC_GMT0': "ETC_GMT0",
            'ETC_GREENWICH': "ETC_GREENWICH",
            'ETC_UCT': "ETC_UCT",
            'ETC_UNIVERSAL': "ETC_UNIVERSAL",
            'ETC_UTC': "ETC_UTC",
            'ETC_ZULU': "ETC_ZULU",
            'EUROPE_AMSTERDAM': "EUROPE_AMSTERDAM",
            'EUROPE_ANDORRA': "EUROPE_ANDORRA",
            'EUROPE_ATHENS': "EUROPE_ATHENS",
            'EUROPE_BELFAST': "EUROPE_BELFAST",
            'EUROPE_BELGRADE': "EUROPE_BELGRADE",
            'EUROPE_BERLIN': "EUROPE_BERLIN",
            'EUROPE_BRATISLAVA': "EUROPE_BRATISLAVA",
            'EUROPE_BRUSSELS': "EUROPE_BRUSSELS",
            'EUROPE_BUCHAREST': "EUROPE_BUCHAREST",
            'EUROPE_BUDAPEST': "EUROPE_BUDAPEST",
            'EUROPE_CHISINAU': "EUROPE_CHISINAU",
            'EUROPE_COPENHAGEN': "EUROPE_COPENHAGEN",
            'EUROPE_DUBLIN': "EUROPE_DUBLIN",
            'EUROPE_GIBRALTAR': "EUROPE_GIBRALTAR",
            'EUROPE_HELSINKI': "EUROPE_HELSINKI",
            'EUROPE_ISTANBUL': "EUROPE_ISTANBUL",
            'EUROPE_KALININGRAD': "EUROPE_KALININGRAD",
            'EUROPE_KIEV': "EUROPE_KIEV",
            'EUROPE_LISBON': "EUROPE_LISBON",
            'EUROPE_LJUBLJANA': "EUROPE_LJUBLJANA",
            'EUROPE_LONDON': "EUROPE_LONDON",
            'EUROPE_LUXEMBOURG': "EUROPE_LUXEMBOURG",
            'EUROPE_MADRID': "EUROPE_MADRID",
            'EUROPE_MALTA': "EUROPE_MALTA",
            'EUROPE_MINSK': "EUROPE_MINSK",
            'EUROPE_MONACO': "EUROPE_MONACO",
            'EUROPE_MOSCOW': "EUROPE_MOSCOW",
            'EUROPE_NICOSIA': "EUROPE_NICOSIA",
            'EUROPE_OSLO': "EUROPE_OSLO",
            'EUROPE_PARIS': "EUROPE_PARIS",
            'EUROPE_PRAGUE': "EUROPE_PRAGUE",
            'EUROPE_RIGA': "EUROPE_RIGA",
            'EUROPE_ROME': "EUROPE_ROME",
            'EUROPE_SAMARA': "EUROPE_SAMARA",
            'EUROPE_SAN_MARINO': "EUROPE_SAN_MARINO",
            'EUROPE_SARAJEVO': "EUROPE_SARAJEVO",
            'EUROPE_SIMFEROPOL': "EUROPE_SIMFEROPOL",
            'EUROPE_SKOPJE': "EUROPE_SKOPJE",
            'EUROPE_SOFIA': "EUROPE_SOFIA",
            'EUROPE_STOCKHOLM': "EUROPE_STOCKHOLM",
            'EUROPE_TALLINN': "EUROPE_TALLINN",
            'EUROPE_TIRANE': "EUROPE_TIRANE",
            'EUROPE_TIRASPOL': "EUROPE_TIRASPOL",
            'EUROPE_UZHGOROD': "EUROPE_UZHGOROD",
            'EUROPE_VADUZ': "EUROPE_VADUZ",
            'EUROPE_VATICAN': "EUROPE_VATICAN",
            'EUROPE_VIENNA': "EUROPE_VIENNA",
            'EUROPE_VILNIUS': "EUROPE_VILNIUS",
            'EUROPE_WARSAW': "EUROPE_WARSAW",
            'EUROPE_ZAGREB': "EUROPE_ZAGREB",
            'EUROPE_ZAPOROZHYE': "EUROPE_ZAPOROZHYE",
            'EUROPE_ZURICH': "EUROPE_ZURICH",
            'GB': "GB",
            'GB_EIRE': "GB_EIRE",
            'GMT': "GMT",
            'GMT0': "GMT0",
            'GREENWICH': "GREENWICH",
            'HONGKONG': "HONGKONG",
            'HST': "HST",
            'ICELAND': "ICELAND",
            'IET': "IET",
            'INDIAN_ANTANANARIVO': "INDIAN_ANTANANARIVO",
            'INDIAN_CHAGOS': "INDIAN_CHAGOS",
            'INDIAN_CHRISTMAS': "INDIAN_CHRISTMAS",
            'INDIAN_COCOS': "INDIAN_COCOS",
            'INDIAN_COMORO': "INDIAN_COMORO",
            'INDIAN_KERGUELEN': "INDIAN_KERGUELEN",
            'INDIAN_MAHE': "INDIAN_MAHE",
            'INDIAN_MALDIVES': "INDIAN_MALDIVES",
            'INDIAN_MAURITIUS': "INDIAN_MAURITIUS",
            'INDIAN_MAYOTTE': "INDIAN_MAYOTTE",
            'INDIAN_REUNION': "INDIAN_REUNION",
            'IRAN': "IRAN",
            'ISRAEL': "ISRAEL",
            'IST': "IST",
            'JAMAICA': "JAMAICA",
            'JAPAN': "JAPAN",
            'JST': "JST",
            'KWAJALEIN': "KWAJALEIN",
            'LIBYA': "LIBYA",
            'MET': "MET",
            'MEXICO_BAJANORTE': "MEXICO_BAJANORTE",
            'MEXICO_BAJASUR': "MEXICO_BAJASUR",
            'MEXICO_GENERAL': "MEXICO_GENERAL",
            'MIDEAST_RIYADH87': "MIDEAST_RIYADH87",
            'MIDEAST_RIYADH88': "MIDEAST_RIYADH88",
            'MIDEAST_RIYADH89': "MIDEAST_RIYADH89",
            'MIT': "MIT",
            'MST': "MST",
            'MST7MDT': "MST7MDT",
            'NAVAJO': "NAVAJO",
            'NET': "NET",
            'NST': "NST",
            'NZ': "NZ",
            'NZ_CHAT': "NZ_CHAT",
            'PACIFIC_APIA': "PACIFIC_APIA",
            'PACIFIC_AUCKLAND': "PACIFIC_AUCKLAND",
            'PACIFIC_CHATHAM': "PACIFIC_CHATHAM",
            'PACIFIC_EASTER': "PACIFIC_EASTER",
            'PACIFIC_EFATE': "PACIFIC_EFATE",
            'PACIFIC_ENDERBURY': "PACIFIC_ENDERBURY",
            'PACIFIC_FAKAOFO': "PACIFIC_FAKAOFO",
            'PACIFIC_FIJI': "PACIFIC_FIJI",
            'PACIFIC_FUNAFUTI': "PACIFIC_FUNAFUTI",
            'PACIFIC_GALAPAGOS': "PACIFIC_GALAPAGOS",
            'PACIFIC_GAMBIER': "PACIFIC_GAMBIER",
            'PACIFIC_GUADALCANAL': "PACIFIC_GUADALCANAL",
            'PACIFIC_GUAM': "PACIFIC_GUAM",
            'PACIFIC_HONOLULU': "PACIFIC_HONOLULU",
            'PACIFIC_JOHNSTON': "PACIFIC_JOHNSTON",
            'PACIFIC_KIRITIMATI': "PACIFIC_KIRITIMATI",
            'PACIFIC_KOSRAE': "PACIFIC_KOSRAE",
            'PACIFIC_KWAJALEIN': "PACIFIC_KWAJALEIN",
            'PACIFIC_MAJURO': "PACIFIC_MAJURO",
            'PACIFIC_MARQUESAS': "PACIFIC_MARQUESAS",
            'PACIFIC_MIDWAY': "PACIFIC_MIDWAY",
            'PACIFIC_NAURU': "PACIFIC_NAURU",
            'PACIFIC_NIUE': "PACIFIC_NIUE",
            'PACIFIC_NORFOLK': "PACIFIC_NORFOLK",
            'PACIFIC_NOUMEA': "PACIFIC_NOUMEA",
            'PACIFIC_PAGO_PAGO': "PACIFIC_PAGO_PAGO",
            'PACIFIC_PALAU': "PACIFIC_PALAU",
            'PACIFIC_PITCAIRN': "PACIFIC_PITCAIRN",
            'PACIFIC_PONAPE': "PACIFIC_PONAPE",
            'PACIFIC_PORT_MORESBY': "PACIFIC_PORT_MORESBY",
            'PACIFIC_RAROTONGA': "PACIFIC_RAROTONGA",
            'PACIFIC_SAIPAN': "PACIFIC_SAIPAN",
            'PACIFIC_SAMOA': "PACIFIC_SAMOA",
            'PACIFIC_TAHITI': "PACIFIC_TAHITI",
            'PACIFIC_TARAWA': "PACIFIC_TARAWA",
            'PACIFIC_TONGATAPU': "PACIFIC_TONGATAPU",
            'PACIFIC_TRUK': "PACIFIC_TRUK",
            'PACIFIC_WAKE': "PACIFIC_WAKE",
            'PACIFIC_WALLIS': "PACIFIC_WALLIS",
            'PACIFIC_YAP': "PACIFIC_YAP",
            'PLT': "PLT",
            'PNT': "PNT",
            'POLAND': "POLAND",
            'PORTUGAL': "PORTUGAL",
            'PRC': "PRC",
            'PRT': "PRT",
            'PST': "PST",
            'PST8PDT': "PST8PDT",
            'ROK': "ROK",
            'SINGAPORE': "SINGAPORE",
            'SST': "SST",
            'SYSTEMV_AST4': "SYSTEMV_AST4",
            'SYSTEMV_AST4ADT': "SYSTEMV_AST4ADT",
            'SYSTEMV_CST6': "SYSTEMV_CST6",
            'SYSTEMV_CST6CDT': "SYSTEMV_CST6CDT",
            'SYSTEMV_EST5': "SYSTEMV_EST5",
            'SYSTEMV_EST5EDT': "SYSTEMV_EST5EDT",
            'SYSTEMV_HST10': "SYSTEMV_HST10",
            'SYSTEMV_MST7': "SYSTEMV_MST7",
            'SYSTEMV_MST7MDT': "SYSTEMV_MST7MDT",
            'SYSTEMV_PST8': "SYSTEMV_PST8",
            'SYSTEMV_PST8PDT': "SYSTEMV_PST8PDT",
            'SYSTEMV_YST9': "SYSTEMV_YST9",
            'SYSTEMV_YST9YDT': "SYSTEMV_YST9YDT",
            'TURKEY': "TURKEY",
            'UCT': "UCT",
            'UNIVERSAL': "UNIVERSAL",
            'US_ALASKA': "US_ALASKA",
            'US_ALEUTIAN': "US_ALEUTIAN",
            'US_ARIZONA': "US_ARIZONA",
            'US_CENTRAL': "US_CENTRAL",
            'US_EAST_INDIANA': "US_EAST_INDIANA",
            'US_EASTERN': "US_EASTERN",
            'US_HAWAII': "US_HAWAII",
            'US_INDIANA_STARKE': "US_INDIANA_STARKE",
            'US_MICHIGAN': "US_MICHIGAN",
            'US_MOUNTAIN': "US_MOUNTAIN",
            'US_PACIFIC': "US_PACIFIC",
            'US_PACIFIC_NEW': "US_PACIFIC_NEW",
            'US_SAMOA': "US_SAMOA",
            'UTC': "UTC",
            'VST': "VST",
            'W_SU': "W_SU",
            'WET': "WET",
            'ZULU': "ZULU",
            'ACT': "ACT",
            'AET': "AET",
            'AFRICA/ABIDJAN': "Africa/Abidjan",
            'AFRICA/ACCRA': "Africa/Accra",
            'AFRICA/ADDIS_ABABA': "Africa/Addis_Ababa",
            'AFRICA/ALGIERS': "Africa/Algiers",
            'AFRICA/ASMERA': "Africa/Asmera",
            'AFRICA/BAMAKO': "Africa/Bamako",
            'AFRICA/BANGUI': "Africa/Bangui",
            'AFRICA/BANJUL': "Africa/Banjul",
            'AFRICA/BISSAU': "Africa/Bissau",
            'AFRICA/BLANTYRE': "Africa/Blantyre",
            'AFRICA/BRAZZAVILLE': "Africa/Brazzaville",
            'AFRICA/BUJUMBURA': "Africa/Bujumbura",
            'AFRICA/CAIRO': "Africa/Cairo",
            'AFRICA/CASABLANCA': "Africa/Casablanca",
            'AFRICA/CEUTA': "Africa/Ceuta",
            'AFRICA/CONAKRY': "Africa/Conakry",
            'AFRICA/DAKAR': "Africa/Dakar",
            'AFRICA/DAR_ES_SALAAM': "Africa/Dar_es_Salaam",
            'AFRICA/DJIBOUTI': "Africa/Djibouti",
            'AFRICA/DOUALA': "Africa/Douala",
            'AFRICA/EL_AAIUN': "Africa/El_Aaiun",
            'AFRICA/FREETOWN': "Africa/Freetown",
            'AFRICA/GABORONE': "Africa/Gaborone",
            'AFRICA/HARARE': "Africa/Harare",
            'AFRICA/JOHANNESBURG': "Africa/Johannesburg",
            'AFRICA/KAMPALA': "Africa/Kampala",
            'AFRICA/KHARTOUM': "Africa/Khartoum",
            'AFRICA/KIGALI': "Africa/Kigali",
            'AFRICA/KINSHASA': "Africa/Kinshasa",
            'AFRICA/LAGOS': "Africa/Lagos",
            'AFRICA/LIBREVILLE': "Africa/Libreville",
            'AFRICA/LOME': "Africa/Lome",
            'AFRICA/LUANDA': "Africa/Luanda",
            'AFRICA/LUBUMBASHI': "Africa/Lubumbashi",
            'AFRICA/LUSAKA': "Africa/Lusaka",
            'AFRICA/MALABO': "Africa/Malabo",
            'AFRICA/MAPUTO': "Africa/Maputo",
            'AFRICA/MASERU': "Africa/Maseru",
            'AFRICA/MBABANE': "Africa/Mbabane",
            'AFRICA/MOGADISHU': "Africa/Mogadishu",
            'AFRICA/MONROVIA': "Africa/Monrovia",
            'AFRICA/NAIROBI': "Africa/Nairobi",
            'AFRICA/NDJAMENA': "Africa/Ndjamena",
            'AFRICA/NIAMEY': "Africa/Niamey",
            'AFRICA/NOUAKCHOTT': "Africa/Nouakchott",
            'AFRICA/OUAGADOUGOU': "Africa/Ouagadougou",
            'AFRICA/PORTO-NOVO': "Africa/Porto-Novo",
            'AFRICA/SAO_TOME': "Africa/Sao_Tome",
            'AFRICA/TIMBUKTU': "Africa/Timbuktu",
            'AFRICA/TRIPOLI': "Africa/Tripoli",
            'AFRICA/TUNIS': "Africa/Tunis",
            'AFRICA/WINDHOEK': "Africa/Windhoek",
            'AGT': "AGT",
            'AMERICA/ADAK': "America/Adak",
            'AMERICA/ANCHORAGE': "America/Anchorage",
            'AMERICA/ANGUILLA': "America/Anguilla",
            'AMERICA/ANTIGUA': "America/Antigua",
            'AMERICA/ARAGUAINA': "America/Araguaina",
            'AMERICA/ARUBA': "America/Aruba",
            'AMERICA/ASUNCION': "America/Asuncion",
            'AMERICA/ATKA': "America/Atka",
            'AMERICA/BARBADOS': "America/Barbados",
            'AMERICA/BELEM': "America/Belem",
            'AMERICA/BELIZE': "America/Belize",
            'AMERICA/BOA_VISTA': "America/Boa_Vista",
            'AMERICA/BOGOTA': "America/Bogota",
            'AMERICA/BOISE': "America/Boise",
            'AMERICA/BUENOS_AIRES': "America/Buenos_Aires",
            'AMERICA/CAMBRIDGE_BAY': "America/Cambridge_Bay",
            'AMERICA/CANCUN': "America/Cancun",
            'AMERICA/CARACAS': "America/Caracas",
            'AMERICA/CATAMARCA': "America/Catamarca",
            'AMERICA/CAYENNE': "America/Cayenne",
            'AMERICA/CAYMAN': "America/Cayman",
            'AMERICA/CHICAGO': "America/Chicago",
            'AMERICA/CHIHUAHUA': "America/Chihuahua",
            'AMERICA/CORDOBA': "America/Cordoba",
            'AMERICA/COSTA_RICA': "America/Costa_Rica",
            'AMERICA/CUIABA': "America/Cuiaba",
            'AMERICA/CURACAO': "America/Curacao",
            'AMERICA/DANMARKSHAVN': "America/Danmarkshavn",
            'AMERICA/DAWSON': "America/Dawson",
            'AMERICA/DAWSON_CREEK': "America/Dawson_Creek",
            'AMERICA/DENVER': "America/Denver",
            'AMERICA/DETROIT': "America/Detroit",
            'AMERICA/DOMINICA': "America/Dominica",
            'AMERICA/EDMONTON': "America/Edmonton",
            'AMERICA/EIRUNEPE': "America/Eirunepe",
            'AMERICA/EL_SALVADOR': "America/El_Salvador",
            'AMERICA/ENSENADA': "America/Ensenada",
            'AMERICA/FORT_WAYNE': "America/Fort_Wayne",
            'AMERICA/FORTALEZA': "America/Fortaleza",
            'AMERICA/GLACE_BAY': "America/Glace_Bay",
            'AMERICA/GODTHAB': "America/Godthab",
            'AMERICA/GOOSE_BAY': "America/Goose_Bay",
            'AMERICA/GRAND_TURK': "America/Grand_Turk",
            'AMERICA/GRENADA': "America/Grenada",
            'AMERICA/GUADELOUPE': "America/Guadeloupe",
            'AMERICA/GUATEMALA': "America/Guatemala",
            'AMERICA/GUAYAQUIL': "America/Guayaquil",
            'AMERICA/GUYANA': "America/Guyana",
            'AMERICA/HALIFAX': "America/Halifax",
            'AMERICA/HAVANA': "America/Havana",
            'AMERICA/HERMOSILLO': "America/Hermosillo",
            'AMERICA/INDIANA/INDIANAPOLIS': "America/Indiana/Indianapolis",
            'AMERICA/INDIANA/KNOX': "America/Indiana/Knox",
            'AMERICA/INDIANA/MARENGO': "America/Indiana/Marengo",
            'AMERICA/INDIANA/VEVAY': "America/Indiana/Vevay",
            'AMERICA/INDIANAPOLIS': "America/Indianapolis",
            'AMERICA/INUVIK': "America/Inuvik",
            'AMERICA/IQALUIT': "America/Iqaluit",
            'AMERICA/JAMAICA': "America/Jamaica",
            'AMERICA/JUJUY': "America/Jujuy",
            'AMERICA/JUNEAU': "America/Juneau",
            'AMERICA/KENTUCKY/LOUISVILLE': "America/Kentucky/Louisville",
            'AMERICA/KENTUCKY/MONTICELLO': "America/Kentucky/Monticello",
            'AMERICA/KNOX_IN': "America/Knox_IN",
            'AMERICA/LA_PAZ': "America/La_Paz",
            'AMERICA/LIMA': "America/Lima",
            'AMERICA/LOS_ANGELES': "America/Los_Angeles",
            'AMERICA/LOUISVILLE': "America/Louisville",
            'AMERICA/MACEIO': "America/Maceio",
            'AMERICA/MANAGUA': "America/Managua",
            'AMERICA/MANAUS': "America/Manaus",
            'AMERICA/MARTINIQUE': "America/Martinique",
            'AMERICA/MAZATLAN': "America/Mazatlan",
            'AMERICA/MENDOZA': "America/Mendoza",
            'AMERICA/MENOMINEE': "America/Menominee",
            'AMERICA/MERIDA': "America/Merida",
            'AMERICA/MEXICO_CITY': "America/Mexico_City",
            'AMERICA/MIQUELON': "America/Miquelon",
            'AMERICA/MONTERREY': "America/Monterrey",
            'AMERICA/MONTEVIDEO': "America/Montevideo",
            'AMERICA/MONTREAL': "America/Montreal",
            'AMERICA/MONTSERRAT': "America/Montserrat",
            'AMERICA/NASSAU': "America/Nassau",
            'AMERICA/NEW_YORK': "America/New_York",
            'AMERICA/NIPIGON': "America/Nipigon",
            'AMERICA/NOME': "America/Nome",
            'AMERICA/NORONHA': "America/Noronha",
            'AMERICA/NORTH_DAKOTA/CENTER': "America/North_Dakota/Center",
            'AMERICA/PANAMA': "America/Panama",
            'AMERICA/PANGNIRTUNG': "America/Pangnirtung",
            'AMERICA/PARAMARIBO': "America/Paramaribo",
            'AMERICA/PHOENIX': "America/Phoenix",
            'AMERICA/PORT-AU-PRINCE': "America/Port-au-Prince",
            'AMERICA/PORT_OF_SPAIN': "America/Port_of_Spain",
            'AMERICA/PORTO_ACRE': "America/Porto_Acre",
            'AMERICA/PORTO_VELHO': "America/Porto_Velho",
            'AMERICA/PUERTO_RICO': "America/Puerto_Rico",
            'AMERICA/RAINY_RIVER': "America/Rainy_River",
            'AMERICA/RANKIN_INLET': "America/Rankin_Inlet",
            'AMERICA/RECIFE': "America/Recife",
            'AMERICA/REGINA': "America/Regina",
            'AMERICA/RIO_BRANCO': "America/Rio_Branco",
            'AMERICA/ROSARIO': "America/Rosario",
            'AMERICA/SANTIAGO': "America/Santiago",
            'AMERICA/SANTO_DOMINGO': "America/Santo_Domingo",
            'AMERICA/SAO_PAULO': "America/Sao_Paulo",
            'AMERICA/SCORESBYSUND': "America/Scoresbysund",
            'AMERICA/SHIPROCK': "America/Shiprock",
            'AMERICA/ST_JOHNS': "America/St_Johns",
            'AMERICA/ST_KITTS': "America/St_Kitts",
            'AMERICA/ST_LUCIA': "America/St_Lucia",
            'AMERICA/ST_THOMAS': "America/St_Thomas",
            'AMERICA/ST_VINCENT': "America/St_Vincent",
            'AMERICA/SWIFT_CURRENT': "America/Swift_Current",
            'AMERICA/TEGUCIGALPA': "America/Tegucigalpa",
            'AMERICA/THULE': "America/Thule",
            'AMERICA/THUNDER_BAY': "America/Thunder_Bay",
            'AMERICA/TIJUANA': "America/Tijuana",
            'AMERICA/TORTOLA': "America/Tortola",
            'AMERICA/VANCOUVER': "America/Vancouver",
            'AMERICA/VIRGIN': "America/Virgin",
            'AMERICA/WHITEHORSE': "America/Whitehorse",
            'AMERICA/WINNIPEG': "America/Winnipeg",
            'AMERICA/YAKUTAT': "America/Yakutat",
            'AMERICA/YELLOWKNIFE': "America/Yellowknife",
            'ANTARCTICA/CASEY': "Antarctica/Casey",
            'ANTARCTICA/DAVIS': "Antarctica/Davis",
            'ANTARCTICA/DUMONTDURVILLE': "Antarctica/DumontDUrville",
            'ANTARCTICA/MAWSON': "Antarctica/Mawson",
            'ANTARCTICA/MCMURDO': "Antarctica/McMurdo",
            'ANTARCTICA/PALMER': "Antarctica/Palmer",
            'ANTARCTICA/ROTHERA': "Antarctica/Rothera",
            'ANTARCTICA/SOUTH_POLE': "Antarctica/South_Pole",
            'ANTARCTICA/SYOWA': "Antarctica/Syowa",
            'ANTARCTICA/VOSTOK': "Antarctica/Vostok",
            'ARCTIC/LONGYEARBYEN': "Arctic/Longyearbyen",
            'ART': "ART",
            'ASIA/ADEN': "Asia/Aden",
            'ASIA/ALMATY': "Asia/Almaty",
            'ASIA/AMMAN': "Asia/Amman",
            'ASIA/ANADYR': "Asia/Anadyr",
            'ASIA/AQTAU': "Asia/Aqtau",
            'ASIA/AQTOBE': "Asia/Aqtobe",
            'ASIA/ASHGABAT': "Asia/Ashgabat",
            'ASIA/ASHKHABAD': "Asia/Ashkhabad",
            'ASIA/BAGHDAD': "Asia/Baghdad",
            'ASIA/BAHRAIN': "Asia/Bahrain",
            'ASIA/BAKU': "Asia/Baku",
            'ASIA/BANGKOK': "Asia/Bangkok",
            'ASIA/BEIRUT': "Asia/Beirut",
            'ASIA/BISHKEK': "Asia/Bishkek",
            'ASIA/BRUNEI': "Asia/Brunei",
            'ASIA/CALCUTTA': "Asia/Calcutta",
            'ASIA/CHOIBALSAN': "Asia/Choibalsan",
            'ASIA/CHONGQING': "Asia/Chongqing",
            'ASIA/CHUNGKING': "Asia/Chungking",
            'ASIA/COLOMBO': "Asia/Colombo",
            'ASIA/DACCA': "Asia/Dacca",
            'ASIA/DAMASCUS': "Asia/Damascus",
            'ASIA/DHAKA': "Asia/Dhaka",
            'ASIA/DILI': "Asia/Dili",
            'ASIA/DUBAI': "Asia/Dubai",
            'ASIA/DUSHANBE': "Asia/Dushanbe",
            'ASIA/GAZA': "Asia/Gaza",
            'ASIA/HARBIN': "Asia/Harbin",
            'ASIA/HONG_KONG': "Asia/Hong_Kong",
            'ASIA/HOVD': "Asia/Hovd",
            'ASIA/IRKUTSK': "Asia/Irkutsk",
            'ASIA/ISTANBUL': "Asia/Istanbul",
            'ASIA/JAKARTA': "Asia/Jakarta",
            'ASIA/JAYAPURA': "Asia/Jayapura",
            'ASIA/JERUSALEM': "Asia/Jerusalem",
            'ASIA/KABUL': "Asia/Kabul",
            'ASIA/KAMCHATKA': "Asia/Kamchatka",
            'ASIA/KARACHI': "Asia/Karachi",
            'ASIA/KASHGAR': "Asia/Kashgar",
            'ASIA/KATMANDU': "Asia/Katmandu",
            'ASIA/KRASNOYARSK': "Asia/Krasnoyarsk",
            'ASIA/KUALA_LUMPUR': "Asia/Kuala_Lumpur",
            'ASIA/KUCHING': "Asia/Kuching",
            'ASIA/KUWAIT': "Asia/Kuwait",
            'ASIA/MACAO': "Asia/Macao",
            'ASIA/MACAU': "Asia/Macau",
            'ASIA/MAGADAN': "Asia/Magadan",
            'ASIA/MAKASSAR': "Asia/Makassar",
            'ASIA/MANILA': "Asia/Manila",
            'ASIA/MUSCAT': "Asia/Muscat",
            'ASIA/NICOSIA': "Asia/Nicosia",
            'ASIA/NOVOSIBIRSK': "Asia/Novosibirsk",
            'ASIA/OMSK': "Asia/Omsk",
            'ASIA/ORAL': "Asia/Oral",
            'ASIA/PHNOM_PENH': "Asia/Phnom_Penh",
            'ASIA/PONTIANAK': "Asia/Pontianak",
            'ASIA/PYONGYANG': "Asia/Pyongyang",
            'ASIA/QATAR': "Asia/Qatar",
            'ASIA/QYZYLORDA': "Asia/Qyzylorda",
            'ASIA/RANGOON': "Asia/Rangoon",
            'ASIA/RIYADH': "Asia/Riyadh",
            'ASIA/RIYADH87': "Asia/Riyadh87",
            'ASIA/RIYADH88': "Asia/Riyadh88",
            'ASIA/RIYADH89': "Asia/Riyadh89",
            'ASIA/SAIGON': "Asia/Saigon",
            'ASIA/SAKHALIN': "Asia/Sakhalin",
            'ASIA/SAMARKAND': "Asia/Samarkand",
            'ASIA/SEOUL': "Asia/Seoul",
            'ASIA/SHANGHAI': "Asia/Shanghai",
            'ASIA/SINGAPORE': "Asia/Singapore",
            'ASIA/TAIPEI': "Asia/Taipei",
            'ASIA/TASHKENT': "Asia/Tashkent",
            'ASIA/TBILISI': "Asia/Tbilisi",
            'ASIA/TEHRAN': "Asia/Tehran",
            'ASIA/TEL_AVIV': "Asia/Tel_Aviv",
            'ASIA/THIMBU': "Asia/Thimbu",
            'ASIA/THIMPHU': "Asia/Thimphu",
            'ASIA/TOKYO': "Asia/Tokyo",
            'ASIA/UJUNG_PANDANG': "Asia/Ujung_Pandang",
            'ASIA/ULAANBAATAR': "Asia/Ulaanbaatar",
            'ASIA/ULAN_BATOR': "Asia/Ulan_Bator",
            'ASIA/URUMQI': "Asia/Urumqi",
            'ASIA/VIENTIANE': "Asia/Vientiane",
            'ASIA/VLADIVOSTOK': "Asia/Vladivostok",
            'ASIA/YAKUTSK': "Asia/Yakutsk",
            'ASIA/YEKATERINBURG': "Asia/Yekaterinburg",
            'ASIA/YEREVAN': "Asia/Yerevan",
            'AST': "AST",
            'ATLANTIC/AZORES': "Atlantic/Azores",
            'ATLANTIC/BERMUDA': "Atlantic/Bermuda",
            'ATLANTIC/CANARY': "Atlantic/Canary",
            'ATLANTIC/CAPE_VERDE': "Atlantic/Cape_Verde",
            'ATLANTIC/FAEROE': "Atlantic/Faeroe",
            'ATLANTIC/JAN_MAYEN': "Atlantic/Jan_Mayen",
            'ATLANTIC/MADEIRA': "Atlantic/Madeira",
            'ATLANTIC/REYKJAVIK': "Atlantic/Reykjavik",
            'ATLANTIC/SOUTH_GEORGIA': "Atlantic/South_Georgia",
            'ATLANTIC/ST_HELENA': "Atlantic/St_Helena",
            'ATLANTIC/STANLEY': "Atlantic/Stanley",
            'AUSTRALIA/ACT': "Australia/ACT",
            'AUSTRALIA/ADELAIDE': "Australia/Adelaide",
            'AUSTRALIA/BRISBANE': "Australia/Brisbane",
            'AUSTRALIA/BROKEN_HILL': "Australia/Broken_Hill",
            'AUSTRALIA/CANBERRA': "Australia/Canberra",
            'AUSTRALIA/DARWIN': "Australia/Darwin",
            'AUSTRALIA/HOBART': "Australia/Hobart",
            'AUSTRALIA/LHI': "Australia/LHI",
            'AUSTRALIA/LINDEMAN': "Australia/Lindeman",
            'AUSTRALIA/LORD_HOWE': "Australia/Lord_Howe",
            'AUSTRALIA/MELBOURNE': "Australia/Melbourne",
            'AUSTRALIA/NORTH': "Australia/North",
            'AUSTRALIA/NSW': "Australia/NSW",
            'AUSTRALIA/PERTH': "Australia/Perth",
            'AUSTRALIA/QUEENSLAND': "Australia/Queensland",
            'AUSTRALIA/SOUTH': "Australia/South",
            'AUSTRALIA/SYDNEY': "Australia/Sydney",
            'AUSTRALIA/TASMANIA': "Australia/Tasmania",
            'AUSTRALIA/VICTORIA': "Australia/Victoria",
            'AUSTRALIA/WEST': "Australia/West",
            'AUSTRALIA/YANCOWINNA': "Australia/Yancowinna",
            'BET': "BET",
            'BRAZIL/ACRE': "Brazil/Acre",
            'BRAZIL/DENORONHA': "Brazil/DeNoronha",
            'BRAZIL/EAST': "Brazil/East",
            'BRAZIL/WEST': "Brazil/West",
            'BST': "BST",
            'CANADA/ATLANTIC': "Canada/Atlantic",
            'CANADA/CENTRAL': "Canada/Central",
            'CANADA/EAST-SASKATCHEWAN': "Canada/East-Saskatchewan",
            'CANADA/EASTERN': "Canada/Eastern",
            'CANADA/MOUNTAIN': "Canada/Mountain",
            'CANADA/NEWFOUNDLAND': "Canada/Newfoundland",
            'CANADA/PACIFIC': "Canada/Pacific",
            'CANADA/SASKATCHEWAN': "Canada/Saskatchewan",
            'CANADA/YUKON': "Canada/Yukon",
            'CAT': "CAT",
            'CET': "CET",
            'CHILE/CONTINENTAL': "Chile/Continental",
            'CHILE/EASTERISLAND': "Chile/EasterIsland",
            'CNT': "CNT",
            'CST': "CST",
            'CST6CDT': "CST6CDT",
            'CTT': "CTT",
            'CUBA': "Cuba",
            'EAT': "EAT",
            'ECT': "ECT",
            'EET': "EET",
            'EGYPT': "Egypt",
            'EIRE': "Eire",
            'EST': "EST",
            'EST5EDT': "EST5EDT",
            'ETC/GMT': "Etc/GMT",
            'ETC/GMT+0': "Etc/GMT+0",
            'ETC/GMT+1': "Etc/GMT+1",
            'ETC/GMT+10': "Etc/GMT+10",
            'ETC/GMT+11': "Etc/GMT+11",
            'ETC/GMT+12': "Etc/GMT+12",
            'ETC/GMT+2': "Etc/GMT+2",
            'ETC/GMT+3': "Etc/GMT+3",
            'ETC/GMT+4': "Etc/GMT+4",
            'ETC/GMT+5': "Etc/GMT+5",
            'ETC/GMT+6': "Etc/GMT+6",
            'ETC/GMT+7': "Etc/GMT+7",
            'ETC/GMT+8': "Etc/GMT+8",
            'ETC/GMT+9': "Etc/GMT+9",
            'ETC/GMT-0': "Etc/GMT-0",
            'ETC/GMT-1': "Etc/GMT-1",
            'ETC/GMT-10': "Etc/GMT-10",
            'ETC/GMT-11': "Etc/GMT-11",
            'ETC/GMT-12': "Etc/GMT-12",
            'ETC/GMT-13': "Etc/GMT-13",
            'ETC/GMT-14': "Etc/GMT-14",
            'ETC/GMT-2': "Etc/GMT-2",
            'ETC/GMT-3': "Etc/GMT-3",
            'ETC/GMT-4': "Etc/GMT-4",
            'ETC/GMT-5': "Etc/GMT-5",
            'ETC/GMT-6': "Etc/GMT-6",
            'ETC/GMT-7': "Etc/GMT-7",
            'ETC/GMT-8': "Etc/GMT-8",
            'ETC/GMT-9': "Etc/GMT-9",
            'ETC/GMT0': "Etc/GMT0",
            'ETC/GREENWICH': "Etc/Greenwich",
            'ETC/UCT': "Etc/UCT",
            'ETC/UNIVERSAL': "Etc/Universal",
            'ETC/UTC': "Etc/UTC",
            'ETC/ZULU': "Etc/Zulu",
            'EUROPE/AMSTERDAM': "Europe/Amsterdam",
            'EUROPE/ANDORRA': "Europe/Andorra",
            'EUROPE/ATHENS': "Europe/Athens",
            'EUROPE/BELFAST': "Europe/Belfast",
            'EUROPE/BELGRADE': "Europe/Belgrade",
            'EUROPE/BERLIN': "Europe/Berlin",
            'EUROPE/BRATISLAVA': "Europe/Bratislava",
            'EUROPE/BRUSSELS': "Europe/Brussels",
            'EUROPE/BUCHAREST': "Europe/Bucharest",
            'EUROPE/BUDAPEST': "Europe/Budapest",
            'EUROPE/CHISINAU': "Europe/Chisinau",
            'EUROPE/COPENHAGEN': "Europe/Copenhagen",
            'EUROPE/DUBLIN': "Europe/Dublin",
            'EUROPE/GIBRALTAR': "Europe/Gibraltar",
            'EUROPE/HELSINKI': "Europe/Helsinki",
            'EUROPE/ISTANBUL': "Europe/Istanbul",
            'EUROPE/KALININGRAD': "Europe/Kaliningrad",
            'EUROPE/KIEV': "Europe/Kiev",
            'EUROPE/LISBON': "Europe/Lisbon",
            'EUROPE/LJUBLJANA': "Europe/Ljubljana",
            'EUROPE/LONDON': "Europe/London",
            'EUROPE/LUXEMBOURG': "Europe/Luxembourg",
            'EUROPE/MADRID': "Europe/Madrid",
            'EUROPE/MALTA': "Europe/Malta",
            'EUROPE/MINSK': "Europe/Minsk",
            'EUROPE/MONACO': "Europe/Monaco",
            'EUROPE/MOSCOW': "Europe/Moscow",
            'EUROPE/NICOSIA': "Europe/Nicosia",
            'EUROPE/OSLO': "Europe/Oslo",
            'EUROPE/PARIS': "Europe/Paris",
            'EUROPE/PRAGUE': "Europe/Prague",
            'EUROPE/RIGA': "Europe/Riga",
            'EUROPE/ROME': "Europe/Rome",
            'EUROPE/SAMARA': "Europe/Samara",
            'EUROPE/SAN_MARINO': "Europe/San_Marino",
            'EUROPE/SARAJEVO': "Europe/Sarajevo",
            'EUROPE/SIMFEROPOL': "Europe/Simferopol",
            'EUROPE/SKOPJE': "Europe/Skopje",
            'EUROPE/SOFIA': "Europe/Sofia",
            'EUROPE/STOCKHOLM': "Europe/Stockholm",
            'EUROPE/TALLINN': "Europe/Tallinn",
            'EUROPE/TIRANE': "Europe/Tirane",
            'EUROPE/TIRASPOL': "Europe/Tiraspol",
            'EUROPE/UZHGOROD': "Europe/Uzhgorod",
            'EUROPE/VADUZ': "Europe/Vaduz",
            'EUROPE/VATICAN': "Europe/Vatican",
            'EUROPE/VIENNA': "Europe/Vienna",
            'EUROPE/VILNIUS': "Europe/Vilnius",
            'EUROPE/WARSAW': "Europe/Warsaw",
            'EUROPE/ZAGREB': "Europe/Zagreb",
            'EUROPE/ZAPOROZHYE': "Europe/Zaporozhye",
            'EUROPE/ZURICH': "Europe/Zurich",
            'GB': "GB",
            'GB-EIRE': "GB-Eire",
            'GMT': "GMT",
            'GMT0': "GMT0",
            'GREENWICH': "Greenwich",
            'HONGKONG': "Hongkong",
            'HST': "HST",
            'ICELAND': "Iceland",
            'IET': "IET",
            'INDIAN/ANTANANARIVO': "Indian/Antananarivo",
            'INDIAN/CHAGOS': "Indian/Chagos",
            'INDIAN/CHRISTMAS': "Indian/Christmas",
            'INDIAN/COCOS': "Indian/Cocos",
            'INDIAN/COMORO': "Indian/Comoro",
            'INDIAN/KERGUELEN': "Indian/Kerguelen",
            'INDIAN/MAHE': "Indian/Mahe",
            'INDIAN/MALDIVES': "Indian/Maldives",
            'INDIAN/MAURITIUS': "Indian/Mauritius",
            'INDIAN/MAYOTTE': "Indian/Mayotte",
            'INDIAN/REUNION': "Indian/Reunion",
            'IRAN': "Iran",
            'ISRAEL': "Israel",
            'IST': "IST",
            'JAMAICA': "Jamaica",
            'JAPAN': "Japan",
            'JST': "JST",
            'KWAJALEIN': "Kwajalein",
            'LIBYA': "Libya",
            'MET': "MET",
            'MEXICO/BAJANORTE': "Mexico/BajaNorte",
            'MEXICO/BAJASUR': "Mexico/BajaSur",
            'MEXICO/GENERAL': "Mexico/General",
            'MIDEAST/RIYADH87': "Mideast/Riyadh87",
            'MIDEAST/RIYADH88': "Mideast/Riyadh88",
            'MIDEAST/RIYADH89': "Mideast/Riyadh89",
            'MIT': "MIT",
            'MST': "MST",
            'MST7MDT': "MST7MDT",
            'NAVAJO': "Navajo",
            'NET': "NET",
            'NST': "NST",
            'NZ': "NZ",
            'NZ-CHAT': "NZ-CHAT",
            'PACIFIC/APIA': "Pacific/Apia",
            'PACIFIC/AUCKLAND': "Pacific/Auckland",
            'PACIFIC/CHATHAM': "Pacific/Chatham",
            'PACIFIC/EASTER': "Pacific/Easter",
            'PACIFIC/EFATE': "Pacific/Efate",
            'PACIFIC/ENDERBURY': "Pacific/Enderbury",
            'PACIFIC/FAKAOFO': "Pacific/Fakaofo",
            'PACIFIC/FIJI': "Pacific/Fiji",
            'PACIFIC/FUNAFUTI': "Pacific/Funafuti",
            'PACIFIC/GALAPAGOS': "Pacific/Galapagos",
            'PACIFIC/GAMBIER': "Pacific/Gambier",
            'PACIFIC/GUADALCANAL': "Pacific/Guadalcanal",
            'PACIFIC/GUAM': "Pacific/Guam",
            'PACIFIC/HONOLULU': "Pacific/Honolulu",
            'PACIFIC/JOHNSTON': "Pacific/Johnston",
            'PACIFIC/KIRITIMATI': "Pacific/Kiritimati",
            'PACIFIC/KOSRAE': "Pacific/Kosrae",
            'PACIFIC/KWAJALEIN': "Pacific/Kwajalein",
            'PACIFIC/MAJURO': "Pacific/Majuro",
            'PACIFIC/MARQUESAS': "Pacific/Marquesas",
            'PACIFIC/MIDWAY': "Pacific/Midway",
            'PACIFIC/NAURU': "Pacific/Nauru",
            'PACIFIC/NIUE': "Pacific/Niue",
            'PACIFIC/NORFOLK': "Pacific/Norfolk",
            'PACIFIC/NOUMEA': "Pacific/Noumea",
            'PACIFIC/PAGO_PAGO': "Pacific/Pago_Pago",
            'PACIFIC/PALAU': "Pacific/Palau",
            'PACIFIC/PITCAIRN': "Pacific/Pitcairn",
            'PACIFIC/PONAPE': "Pacific/Ponape",
            'PACIFIC/PORT_MORESBY': "Pacific/Port_Moresby",
            'PACIFIC/RAROTONGA': "Pacific/Rarotonga",
            'PACIFIC/SAIPAN': "Pacific/Saipan",
            'PACIFIC/SAMOA': "Pacific/Samoa",
            'PACIFIC/TAHITI': "Pacific/Tahiti",
            'PACIFIC/TARAWA': "Pacific/Tarawa",
            'PACIFIC/TONGATAPU': "Pacific/Tongatapu",
            'PACIFIC/TRUK': "Pacific/Truk",
            'PACIFIC/WAKE': "Pacific/Wake",
            'PACIFIC/WALLIS': "Pacific/Wallis",
            'PACIFIC/YAP': "Pacific/Yap",
            'PLT': "PLT",
            'PNT': "PNT",
            'POLAND': "Poland",
            'PORTUGAL': "Portugal",
            'PRC': "PRC",
            'PRT': "PRT",
            'PST': "PST",
            'PST8PDT': "PST8PDT",
            'ROK': "ROK",
            'SINGAPORE': "Singapore",
            'SST': "SST",
            'SYSTEMV/AST4': "SystemV/AST4",
            'SYSTEMV/AST4ADT': "SystemV/AST4ADT",
            'SYSTEMV/CST6': "SystemV/CST6",
            'SYSTEMV/CST6CDT': "SystemV/CST6CDT",
            'SYSTEMV/EST5': "SystemV/EST5",
            'SYSTEMV/EST5EDT': "SystemV/EST5EDT",
            'SYSTEMV/HST10': "SystemV/HST10",
            'SYSTEMV/MST7': "SystemV/MST7",
            'SYSTEMV/MST7MDT': "SystemV/MST7MDT",
            'SYSTEMV/PST8': "SystemV/PST8",
            'SYSTEMV/PST8PDT': "SystemV/PST8PDT",
            'SYSTEMV/YST9': "SystemV/YST9",
            'SYSTEMV/YST9YDT': "SystemV/YST9YDT",
            'TURKEY': "Turkey",
            'UCT': "UCT",
            'UNIVERSAL': "Universal",
            'US/ALASKA': "US/Alaska",
            'US/ALEUTIAN': "US/Aleutian",
            'US/ARIZONA': "US/Arizona",
            'US/CENTRAL': "US/Central",
            'US/EAST-INDIANA': "US/East-Indiana",
            'US/EASTERN': "US/Eastern",
            'US/HAWAII': "US/Hawaii",
            'US/INDIANA-STARKE': "US/Indiana-Starke",
            'US/MICHIGAN': "US/Michigan",
            'US/MOUNTAIN': "US/Mountain",
            'US/PACIFIC': "US/Pacific",
            'US/PACIFIC-NEW': "US/Pacific-New",
            'US/SAMOA': "US/Samoa",
            'UTC': "UTC",
            'VST': "VST",
            'W-SU': "W-SU",
            'WET': "WET",
            'ZULU': "Zulu",
        },
    }

    validations = {
    }

    additional_properties_type = None

    _nullable = False

    @cached_property
    def openapi_types():
        """
        This must be a method because a model may have properties that are
        of type self, this must run after the class is loaded

        Returns
            openapi_types (dict): The key is attribute name
                and the value is attribute type.
        """
        return {
            'uwi': (str,),  # noqa: E501
            'name': (str,),  # noqa: E501
            'type': (str,),  # noqa: E501
            'fluid': (str,),  # noqa: E501
            'lift_type': (str,),  # noqa: E501
            'group1': (str, none_type,),  # noqa: E501
            'group2': (str, none_type,),  # noqa: E501
            'group3': (str, none_type,),  # noqa: E501
            'lat': (float, none_type,),  # noqa: E501
            'lon': (float, none_type,),  # noqa: E501
            'mud_line': (float, none_type,),  # noqa: E501
            'timezone': (str, none_type,),  # noqa: E501
        }

    @cached_property
    def discriminator():
        return None


    attribute_map = {
        'uwi': 'uwi',  # noqa: E501
        'name': 'name',  # noqa: E501
        'type': 'type',  # noqa: E501
        'fluid': 'fluid',  # noqa: E501
        'lift_type': 'liftType',  # noqa: E501
        'group1': 'group1',  # noqa: E501
        'group2': 'group2',  # noqa: E501
        'group3': 'group3',  # noqa: E501
        'lat': 'lat',  # noqa: E501
        'lon': 'lon',  # noqa: E501
        'mud_line': 'mudLine',  # noqa: E501
        'timezone': 'timezone',  # noqa: E501
    }

    _composed_schemas = {}

    required_properties = set([
        '_data_store',
        '_check_type',
        '_spec_property_naming',
        '_path_to_item',
        '_configuration',
        '_visited_composed_classes',
    ])

    @convert_js_args_to_python_args
    def __init__(self, uwi, name, *args, **kwargs):  # noqa: E501
        """WellInput - a model defined in OpenAPI

        Args:
            uwi (str):
            name (str):

        Keyword Args:
            type (str): defaults to "PRODUCER", must be one of ["PRODUCER", "INJECTOR", ]  # noqa: E501
            fluid (str): defaults to "OIL", must be one of ["OIL", "GAS", "WATER", ]  # noqa: E501
            lift_type (str): defaults to "NATURAL_FLOW", must be one of ["NATURAL_FLOW", "GAS_LIFT", "ROD_PUMP", "ESP", "PLUNGER_LIFT", "GAS_ASSISTED_PLUNGER_LIFT", ]  # noqa: E501
            _check_type (bool): if True, values for parameters in openapi_types
                                will be type checked and a TypeError will be
                                raised if the wrong type is input.
                                Defaults to True
            _path_to_item (tuple/list): This is a list of keys or values to
                                drill down to the model in received_data
                                when deserializing a response
            _spec_property_naming (bool): True if the variable names in the input data
                                are serialized names, as specified in the OpenAPI document.
                                False if the variable names in the input data
                                are pythonic names, e.g. snake case (default)
            _configuration (Configuration): the instance to use when
                                deserializing a file_type parameter.
                                If passed, type conversion is attempted
                                If omitted no type conversion is done.
            _visited_composed_classes (tuple): This stores a tuple of
                                classes that we have traveled through so that
                                if we see that class again we will not use its
                                discriminator again.
                                When traveling through a discriminator, the
                                composed schema that is
                                is traveled through is added to this set.
                                For example if Animal has a discriminator
                                petType and we pass in "Dog", and the class Dog
                                allOf includes Animal, we move through Animal
                                once using the discriminator, and pick Dog.
                                Then in Dog, we will make an instance of the
                                Animal class but this time we won't travel
                                through its discriminator because we passed in
                                _visited_composed_classes = (Animal,)
            group1 (str, none_type): [optional]  # noqa: E501
            group2 (str, none_type): [optional]  # noqa: E501
            group3 (str, none_type): [optional]  # noqa: E501
            lat (float, none_type): [optional]  # noqa: E501
            lon (float, none_type): [optional]  # noqa: E501
            mud_line (float, none_type): [optional]  # noqa: E501
            timezone (str, none_type): [optional]  # noqa: E501
        """

        type = kwargs.get('type', "PRODUCER")
        fluid = kwargs.get('fluid', "OIL")
        lift_type = kwargs.get('lift_type', "NATURAL_FLOW")
        _check_type = kwargs.pop('_check_type', True)
        _spec_property_naming = kwargs.pop('_spec_property_naming', False)
        _path_to_item = kwargs.pop('_path_to_item', ())
        _configuration = kwargs.pop('_configuration', None)
        _visited_composed_classes = kwargs.pop('_visited_composed_classes', ())

        if args:
            raise ApiTypeError(
                "Invalid positional arguments=%s passed to %s. Remove those invalid positional arguments." % (
                    args,
                    self.__class__.__name__,
                ),
                path_to_item=_path_to_item,
                valid_classes=(self.__class__,),
            )

        self._data_store = {}
        self._check_type = _check_type
        self._spec_property_naming = _spec_property_naming
        self._path_to_item = _path_to_item
        self._configuration = _configuration
        self._visited_composed_classes = _visited_composed_classes + (self.__class__,)

        self.uwi = uwi
        self.name = name
        self.type = type
        self.fluid = fluid
        self.lift_type = lift_type
        for var_name, var_value in kwargs.items():
            if var_name not in self.attribute_map and \
                        self._configuration is not None and \
                        self._configuration.discard_unknown_keys and \
                        self.additional_properties_type is None:
                # discard variable.
                continue
            setattr(self, var_name, var_value)
